Name:          xmlbeans-maven-plugin
Version:       2.3.3
Release:       %mkrel 2
Summary:       Maven XML Beans Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/xmlbeans-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/xmlbeans-maven-plugin-2.3.3
# tar czf xmlbeans-maven-plugin-2.3.3-src-svn.tar.gz xmlbeans-maven-plugin-2.3.3
Source0:       xmlbeans-maven-plugin-2.3.3-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: findbugs-maven-plugin
BuildRequires: jdepend-maven-plugin

BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura

BuildRequires: plexus-utils
BuildRequires: xml-commons-resolver >= 1.2
BuildRequires: xmlbeans

Requires:      maven
Requires:      plexus-utils
Requires:      xml-commons-resolver >= 1.2
Requires:      xmlbeans

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven XML Beans Plugin provides integration of the Apache XML Beans for Maven 2.
Runs the xmlbeans parser/code generator against schemas in files and dependent jars.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p  %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}



%changelog

* Sat Jan 07 2012 dmorgan <dmorgan> 2.3.3-2.mga2
+ Revision: 192827
- Requires maven instead of maven2

* Thu Nov 10 2011 gil <gil> 2.3.3-1.mga2
+ Revision: 166177
- imported package xmlbeans-maven-plugin

